SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Databáze: `blockator`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `blck_departmens_contacts`
--

CREATE TABLE `blck_departmens_contacts` (
  `id_department_contact` smallint(5) UNSIGNED NOT NULL,
  `id_by_user` smallint(5) UNSIGNED NOT NULL,
  `email` varchar(64) COLLATE utf8_czech_ci NOT NULL,
  `department_building` varchar(16) COLLATE utf8_czech_ci NOT NULL,
  `department_name` varchar(16) COLLATE utf8_czech_ci NOT NULL,
  `note` varchar(64) COLLATE utf8_czech_ci NOT NULL,
  `date_added` datetime NOT NULL,
  `visible` tinyint(1) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `blck_email_templates`
--

CREATE TABLE `blck_email_templates` (
  `id_email_template` tinyint(3) UNSIGNED NOT NULL,
  `id_incident_type` tinyint(3) UNSIGNED NOT NULL,
  `id_incident_status` tinyint(3) UNSIGNED NOT NULL,
  `id_email_lang` tinyint(3) UNSIGNED NOT NULL,
  `subject` varchar(64) COLLATE utf8_czech_ci DEFAULT NULL,
  `body` text COLLATE utf8_czech_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `blck_email_templates_langs`
--

CREATE TABLE `blck_email_templates_langs` (
  `id_lang` tinyint(3) UNSIGNED NOT NULL,
  `lang` char(2) COLLATE utf8_czech_ci NOT NULL,
  `symbol` char(18) COLLATE utf8_czech_ci NOT NULL,
  `description` varchar(16) COLLATE utf8_czech_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `blck_email_templates_langs`
--

INSERT INTO `blck_email_templates_langs` (`id_lang`, `lang`, `symbol`, `description`) VALUES
(1, 'cz', '&#127464;&#127487;', 'česká'),
(2, 'en', '&#127468;&#127463;', 'anglická');

-- --------------------------------------------------------

--
-- Struktura tabulky `blck_incidents`
--

CREATE TABLE `blck_incidents` (
  `id_incident` mediumint(8) UNSIGNED NOT NULL,
  `id_by_user` smallint(5) UNSIGNED NOT NULL,
  `id_status` tinyint(3) UNSIGNED NOT NULL,
  `id_type` tinyint(3) UNSIGNED NOT NULL,
  `id_parent_ticket` int(10) UNSIGNED DEFAULT NULL,
  `id_child_ticket` int(10) UNSIGNED NOT NULL,
  `blocked_user` varchar(128) COLLATE utf8_czech_ci DEFAULT NULL,
  `blocked_ip` varchar(45) COLLATE utf8_czech_ci NOT NULL,
  `blocked_mac` varchar(17) COLLATE utf8_czech_ci DEFAULT NULL,
  `blocked_hostname` varchar(128) COLLATE utf8_czech_ci DEFAULT NULL,
  `network` varchar(32) COLLATE utf8_czech_ci NOT NULL,
  `incident_datetime` datetime NOT NULL,
  `incident_evidence` mediumtext COLLATE utf8_czech_ci NOT NULL,
  `user_lang` varchar(8) COLLATE utf8_czech_ci NOT NULL,
  `blocking_recipient` varchar(128) COLLATE utf8_czech_ci NOT NULL,
  `blocking_subject` varchar(256) COLLATE utf8_czech_ci NOT NULL,
  `blocking_message` text COLLATE utf8_czech_ci NOT NULL,
  `unblocking_message` text COLLATE utf8_czech_ci DEFAULT NULL,
  `notify_recipient` varchar(128) COLLATE utf8_czech_ci DEFAULT NULL,
  `notify_message` text COLLATE utf8_czech_ci DEFAULT NULL,
  `parent_ticket_lang` varchar(8) COLLATE utf8_czech_ci NOT NULL,
  `date_added` datetime NOT NULL,
  `visible` tinyint(1) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `blck_incidents_status`
--

CREATE TABLE `blck_incidents_status` (
  `id_incident_status` tinyint(3) UNSIGNED NOT NULL,
  `title` varchar(32) COLLATE utf8_czech_ci NOT NULL,
  `color` char(7) COLLATE utf8_czech_ci NOT NULL,
  `visible` tinyint(1) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `blck_incidents_status`
--

INSERT INTO `blck_incidents_status` (`id_incident_status`, `title`, `color`, `visible`) VALUES
(1, 'Nový incident', '#6c757d', 1),
(2, 'Identifikace', '#ffbb33', 1),
(3, 'Blokace', '#dc3545', 1),
(4, 'Upozornění stěžovatele', '#ffc107', 1),
(5, 'Odblokování', '#17a2b8', 1),
(6, 'Vyřešeno', '#198754', 1);

-- --------------------------------------------------------

--
-- Struktura tabulky `blck_incidents_status_log`
--

CREATE TABLE `blck_incidents_status_log` (
  `id_status_log` int(10) UNSIGNED NOT NULL,
  `id_incident` mediumint(8) UNSIGNED NOT NULL,
  `id_incident_status` tinyint(3) UNSIGNED NOT NULL,
  `date_added` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `blck_incidents_types`
--

CREATE TABLE `blck_incidents_types` (
  `id_incident_type` tinyint(3) UNSIGNED NOT NULL,
  `id_by_user` smallint(5) UNSIGNED NOT NULL,
  `name` varchar(64) COLLATE utf8_czech_ci NOT NULL,
  `description` varchar(256) COLLATE utf8_czech_ci NOT NULL,
  `color` char(7) COLLATE utf8_czech_ci NOT NULL,
  `date_added` datetime NOT NULL,
  `visible` tinyint(1) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `blck_incidents_types`
--

INSERT INTO `blck_incidents_types` (`id_incident_type`, `id_by_user`, `name`, `description`, `color`, `date_added`, `visible`) VALUES
(1, 1, 'Sdílení pomocí P2P sítí', 'Sdílení obsahu pomocí P2P sítě, na které se vztahuje autorský zákon.', '#33b5e5', '2021-04-16 00:00:00', 1),
(2, 1, 'Skenování sítě', 'Navazování vysokého množství nevyžádaných spojení.', '#00c851', '2021-04-16 00:00:00', 1),
(3, 1, 'Zapojení do botnetu', 'Komunikace s řídicími servery botnetu.', '#ffbb33', '2021-04-16 00:00:00', 1),
(4, 1, 'Rozesílání spamu', 'Rozesílání vysokého množství nevyžádaných zpráv.', '#ff4444', '2021-04-16 00:00:00', 1);

-- --------------------------------------------------------

--
-- Struktura tabulky `blck_users`
--

CREATE TABLE `blck_users` (
  `id_user` smallint(5) UNSIGNED NOT NULL,
  `username` varchar(32) COLLATE utf8_czech_ci NOT NULL,
  `date_added` datetime NOT NULL,
  `visible` tinyint(1) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `blck_users_login_log`
--

CREATE TABLE `blck_users_login_log` (
  `id_record` int(10) UNSIGNED NOT NULL,
  `id_user` smallint(5) UNSIGNED NOT NULL,
  `login_datetime` datetime NOT NULL,
  `ip` varchar(45) COLLATE utf8_czech_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Indexy pro exportované tabulky
--

--
-- Indexy pro tabulku `blck_departmens_contacts`
--
ALTER TABLE `blck_departmens_contacts`
  ADD PRIMARY KEY (`id_department_contact`),
  ADD KEY `id_by_user` (`id_by_user`);

--
-- Indexy pro tabulku `blck_email_templates`
--
ALTER TABLE `blck_email_templates`
  ADD PRIMARY KEY (`id_email_template`),
  ADD KEY `id_incident_type` (`id_incident_type`),
  ADD KEY `id_incident_status` (`id_incident_status`),
  ADD KEY `id_email_lang` (`id_email_lang`);

--
-- Indexy pro tabulku `blck_email_templates_langs`
--
ALTER TABLE `blck_email_templates_langs`
  ADD PRIMARY KEY (`id_lang`),
  ADD UNIQUE KEY `lang` (`lang`);

--
-- Indexy pro tabulku `blck_incidents`
--
ALTER TABLE `blck_incidents`
  ADD PRIMARY KEY (`id_incident`),
  ADD KEY `id_by_user` (`id_by_user`),
  ADD KEY `id_type` (`id_type`),
  ADD KEY `id_status` (`id_status`);

--
-- Indexy pro tabulku `blck_incidents_status`
--
ALTER TABLE `blck_incidents_status`
  ADD PRIMARY KEY (`id_incident_status`);

--
-- Indexy pro tabulku `blck_incidents_status_log`
--
ALTER TABLE `blck_incidents_status_log`
  ADD PRIMARY KEY (`id_status_log`),
  ADD KEY `id_incident` (`id_incident`),
  ADD KEY `id_incident_status` (`id_incident_status`);

--
-- Indexy pro tabulku `blck_incidents_types`
--
ALTER TABLE `blck_incidents_types`
  ADD PRIMARY KEY (`id_incident_type`),
  ADD KEY `id_by_user` (`id_by_user`);

--
-- Indexy pro tabulku `blck_users`
--
ALTER TABLE `blck_users`
  ADD PRIMARY KEY (`id_user`),
  ADD KEY `username` (`username`);

--
-- Indexy pro tabulku `blck_users_login_log`
--
ALTER TABLE `blck_users_login_log`
  ADD PRIMARY KEY (`id_record`),
  ADD KEY `id_user` (`id_user`);

--
-- AUTO_INCREMENT pro tabulky
--

--
-- AUTO_INCREMENT pro tabulku `blck_departmens_contacts`
--
ALTER TABLE `blck_departmens_contacts`
  MODIFY `id_department_contact` smallint(5) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pro tabulku `blck_email_templates`
--
ALTER TABLE `blck_email_templates`
  MODIFY `id_email_template` tinyint(3) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pro tabulku `blck_email_templates_langs`
--
ALTER TABLE `blck_email_templates_langs`
  MODIFY `id_lang` tinyint(3) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT pro tabulku `blck_incidents`
--
ALTER TABLE `blck_incidents`
  MODIFY `id_incident` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pro tabulku `blck_incidents_status`
--
ALTER TABLE `blck_incidents_status`
  MODIFY `id_incident_status` tinyint(3) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT pro tabulku `blck_incidents_status_log`
--
ALTER TABLE `blck_incidents_status_log`
  MODIFY `id_status_log` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pro tabulku `blck_incidents_types`
--
ALTER TABLE `blck_incidents_types`
  MODIFY `id_incident_type` tinyint(3) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT pro tabulku `blck_users`
--
ALTER TABLE `blck_users`
  MODIFY `id_user` smallint(5) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pro tabulku `blck_users_login_log`
--
ALTER TABLE `blck_users_login_log`
  MODIFY `id_record` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- Omezení pro exportované tabulky
--

--
-- Omezení pro tabulku `blck_departmens_contacts`
--
ALTER TABLE `blck_departmens_contacts`
  ADD CONSTRAINT `blck_departmens_contacts_ibfk_1` FOREIGN KEY (`id_by_user`) REFERENCES `blck_users` (`id_user`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Omezení pro tabulku `blck_email_templates`
--
ALTER TABLE `blck_email_templates`
  ADD CONSTRAINT `blck_email_templates_ibfk_1` FOREIGN KEY (`id_incident_type`) REFERENCES `blck_incidents_types` (`id_incident_type`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `blck_email_templates_ibfk_2` FOREIGN KEY (`id_incident_status`) REFERENCES `blck_incidents_status` (`id_incident_status`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `blck_email_templates_ibfk_3` FOREIGN KEY (`id_email_lang`) REFERENCES `blck_email_templates_langs` (`id_lang`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Omezení pro tabulku `blck_incidents`
--
ALTER TABLE `blck_incidents`
  ADD CONSTRAINT `blck_incidents_ibfk_1` FOREIGN KEY (`id_by_user`) REFERENCES `blck_users` (`id_user`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `blck_incidents_ibfk_3` FOREIGN KEY (`id_type`) REFERENCES `blck_incidents_types` (`id_incident_type`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `blck_incidents_ibfk_4` FOREIGN KEY (`id_status`) REFERENCES `blck_incidents_status` (`id_incident_status`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Omezení pro tabulku `blck_incidents_status_log`
--
ALTER TABLE `blck_incidents_status_log`
  ADD CONSTRAINT `blck_incidents_status_log_ibfk_1` FOREIGN KEY (`id_incident`) REFERENCES `blck_incidents` (`id_incident`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `blck_incidents_status_log_ibfk_2` FOREIGN KEY (`id_incident_status`) REFERENCES `blck_incidents_status` (`id_incident_status`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Omezení pro tabulku `blck_incidents_types`
--
ALTER TABLE `blck_incidents_types`
  ADD CONSTRAINT `blck_incidents_types_ibfk_1` FOREIGN KEY (`id_by_user`) REFERENCES `blck_users` (`id_user`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Omezení pro tabulku `blck_users_login_log`
--
ALTER TABLE `blck_users_login_log`
  ADD CONSTRAINT `blck_users_login_log_ibfk_1` FOREIGN KEY (`id_user`) REFERENCES `blck_users` (`id_user`) ON DELETE NO ACTION ON UPDATE NO ACTION;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
