<?php
  // Je to požadovaný IP rozsah ZČU, ze kterého se může do systému přistupovat?
  if (!((ip2long($_SERVER['REMOTE_ADDR']) > ip2long('147.228.1.0') && ip2long($_SERVER['REMOTE_ADDR']) < ip2long('147.228.1.255')) ||
      ip2long($_SERVER['REMOTE_ADDR']) > ip2long('147.228.232.0') && ip2long($_SERVER['REMOTE_ADDR']) < ip2long('147.228.232.255'))) {
    header('HTTP/1.0 403 Forbidden');
    exit('Error 403: Forbidden');
  }

  // Nepřistupuje se na server Blockatoru z nějakého aliasu?
  if (strpos($_SERVER['HTTP_HOST'], 'blockator.zcu.cz') === false) {
    header('Location: https://blockator.zcu.cz');
    exit();
  }

  //error_reporting(E_ALL);
  ini_set('display_errors', 0);

  // Začlenění konfigurace a důležitých funkcí.
  require $_SERVER['DOCUMENT_ROOT'] . '../config.php';
  require $_SERVER['DOCUMENT_ROOT'] . '../globalFunctions.php';

  // Automatické začlenění funkcí.
  spl_autoload_register('autoload_functions');

  // Inicializace zabezpečených SESSION a HTTP hlaviček.
  init_secure_session_start();
  init_http_security_headers();

  // Nastavení PHP multibyte kódování.
  mb_internal_encoding(PHP_MULTIBYTE_ENCODING);

  // Připojení k databázi.
  Database::connect(DB_PDO_DSN, DB_USERNAME, DB_PASSWORD);

  $model = new PermissionsModel();

  // Přihlášení uživatele dle parametrů ze SSO (pokud již není přihlášen).
  if ($model->getUserId() === null) {
    $model->login($_SERVER['uid']);
  }

  // Vytvoření nové instance routeru, který zpracovává příchozí požadavky.
  $router = new RouterController();

  $router->process($_SERVER['REQUEST_URI']);
  $router->displayView();
