<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h2>Úvodní stránka</h2>
  <div class="btn-toolbar mb-2 mb-md-0">
    <a href="<?= $helpLink ?>" target="_blank" class="btn btn-outline-info" role="button">
      <span data-feather="help-circle"></span>
      Nápověda
    </a>
  </div>
</div>

<p>Vítejte v&nbsp;systému pro <strong>správu bezpečnostních incidentů</strong> v&nbsp;počítačové síti <i>WEBnet</i> na ZČU. Systém je určen pouze <strong>členům bezpečnostního týmu</strong> <a href="<?= CSIRT_URL ?>" target="_blank"><?= CSIRT_ABRR ?></a> (<i><?= CSIRT_NAME ?></i>).</p>

<div class="card-group cards-homepage pb-2 mb-3">
  <div class="card bg-light text-center">
    <a href="/portal/list-incidents">
      <div class="card-body">
        <h4 class="card-title mb-0">
          <p>
            <span class="badge rounded-pill bg-dark py-2"><?= $countIncidents ?></span>
          </p>
          celkový počet incidentů
        </h4>
      </div>
    </a>
  </div>

  <div class="card bg-light text-center">
    <a href="/portal/list-incidents">
      <div class="card-body">
        <h4 class="card-title mb-0">
          <p>
            <span class="badge rounded-pill bg-dark py-2"><?= $countResolvedIncidents ?></span>
          </p>
          vyřešených incidentů
        </h4>
      </div>
    </a>
  </div>

  <div class="card bg-light text-center">
    <a href="/portal/list-incidents">
      <div class="card-body">
        <h4 class="card-title mb-0">
          <p>
            <span class="badge rounded-pill bg-dark py-2"><?= $countUnresolvedIncidents ?></span>
          </p>
          nedořešených incidentů
        </h4>
      </div>
    </a>
  </div>

  <div class="card bg-light text-center">
    <a href="/portal/departments-contacts">
      <div class="card-body">
        <h4 class="card-title mb-0">
          <p>
            <span class="badge rounded-pill bg-dark py-2"><?= $countDeptContacts ?></span>
          </p>
          lokálních správců
        </h4>
      </div>
    </a>
  </div>
</div>

<div class="d-flex flex-wrap justify-content-around mt-5">
  <div class="chart-container">
    <h3>Aktuální rozložení stavů</h3>
    <p class="text-muted">Rozložení aktuálních stavů všech bezpečnostních incidentů.</p>
    <canvas class="my-4" id="chart-incidents-statuses"></canvas>
  </div>

  <div class="chart-container">
    <h3>Řešené incidenty dle typu</h3>
    <p class="text-muted">Uvažují se všechny již vyřešené i&nbsp;nevyřešené bezpečnostní incidenty.</p>
    <canvas class="my-4" id="chart-incidents-types"></canvas>
  </div>

  <div class="chart-container-lg">
    <h3>Řešené incidenty v&nbsp;roce <?= date('Y') ?> po měsících</h3>
    <p class="text-muted">Uvažují se všechny již vyřešené i&nbsp;nevyřešené bezpečnostní incidenty v&nbsp;daném roce.</p>
    <canvas class="my-4" id="chart-incidents-months"></canvas>
  </div>
</div>

<script src="/<?= CORE_DIR_EXTENSIONS ?>/chart.min.js"></script>
<script src="/<?= CORE_DIR_EXTENSIONS ?>/chartjs-plugin-datalabels.min.js"></script>

<script nonce="<?= HTTP_HEADER_CSP_NONCE ?>">
  let chartIncidentsStatuses = new Chart('chart-incidents-statuses', {
      plugins: [ChartDataLabels],
      type: 'doughnut',
      data: {
          labels: [<?= $_pieChartIncStatuses['legend'] ?>],
          datasets: [{
              data: [<?= $pieChartIncStatuses['data'] ?>],
              backgroundColor: [<?= $_pieChartIncStatuses['colors'] ?>],
              datalabels: {anchor: 'start'},
              hoverOffset: 4
          }]
      },
      options: {
          responsive: true,
          aspectRatio: 2,
          plugins: {
              legend: {position: 'right'},
              datalabels: {
                  backgroundColor: function(context) {
                      return context.dataset.backgroundColor;
                  },
                  borderColor: '#fff',
                  borderRadius: 25,
                  borderWidth: 2,
                  padding: 5,
                  color: '#fff',
                  font: {weight: 'bold'},
                  textAlign: 'center',
                  display: function(context) {
                      var dataset = context.dataset;
                      var value = dataset.data[context.dataIndex];

                      return value > 0;
                  },
                  formatter: function(value, context) {
                      var totalCount = 0;

                      for (var i = 0; i < context.dataset.data.length; i++) {
                          totalCount += context.dataset.data[i];
                      }

                      return value + ' / ' + Math.round((value * 100 / totalCount) * 10) / 10 + ' %';
                  }
              }
          },
      }
  });

  let chartIncidentsType = new Chart('chart-incidents-types', {
      plugins: [ChartDataLabels],
      type: 'doughnut',
      data: {
          labels: [<?= $_pieChartIncTypes['legend'] ?>],
          datasets: [{
              data: [<?= $pieChartIncTypes['data'] ?>],
              backgroundColor: [<?= $_pieChartIncTypes['colors'] ?>],
              datalabels: {anchor: 'start'},
              hoverOffset: 4
          }]
      },
      options: {
          responsive: true,
          aspectRatio: 2,
          plugins: {
              legend: {position: 'right'},
              datalabels: {
                  backgroundColor: function(context) {
                      return context.dataset.backgroundColor;
                  },
                  borderColor: '#fff',
                  borderRadius: 25,
                  borderWidth: 2,
                  padding: 5,
                  color: '#fff',
                  font: {weight: 'bold'},
                  textAlign: 'center',
                  display: function(context) {
                      var dataset = context.dataset;
                      var value = dataset.data[context.dataIndex];

                      return value > 0;
                  },
                  formatter: function(value, context) {
                      var totalCount = 0;

                      for (var i = 0; i < context.dataset.data.length; i++) {
                          totalCount += context.dataset.data[i];
                      }

                      return value + ' / ' + Math.round((value * 100 / totalCount) * 10) / 10 + ' %';
                  }
              }
          },
      }
  });

  let chartIncidentsMonths = new Chart('chart-incidents-months', {
      plugins: [ChartDataLabels],
      type: 'bar',
      data: {
          labels: [<?= $_barChartAxisX ?>],
          datasets: [
            <?php foreach ($barChartDatasets as $dataset): ?>
            {
                label: '<?= $dataset['title'] ?>',
                data: [<?= implode(',', $dataset['data']) ?>],
                backgroundColor: '<?= $dataset['color'] ?>'
            },
            <?php endforeach; ?>
          ]
      },
      options: {
          responsive: true,
          tooltips: {mode: 'index', intersect: false},
          maintainAspectRatio: true,
          aspectRatio: 1.9,
          plugins: {
              legend: {position: 'bottom'},
              datalabels: {
                  color: '#fff',
                  font: {weight: 'bold'},
                  rotation: 0,
                  display: function(context) {
                      return context.dataset.data[context.dataIndex] > 1;
                  },
                  formatter: Math.round
              }
          },
          scales: {
              x: {
                  stacked: true,
              },
              y: {
                  stacked: true, ticks: {min: 0, stepSize: 1}
              }
          }
      }
  });
</script>